Subject: Re: bug#57664: 29.0.50; echo area display

From: Eli Zaretskii <[email-masked]>
Date: Thu, 08 Sep 2022 09:48:30 +0300

> From: Richard Stallman <[email-masked]>
> Date: Wed, 07 Sep 2022 22:56:53 -0400
> 
> When I send an email with Mail mode, it actually writes the email into
> a file.  (Later I will transfer that file to a server and send it out
> for real.)  There are multiple calls to `message' in that path, and in some
> cases they include the line
> 
>   Wrote /home/rms/outgoing/out-13
> 
> followed by
> 
>   Already 5
> 
> With last April's sources, the "Already" replaced the "wrote" message.
> But now it increases the echo area to two lines.

Increases the echo area and displays what, exactly?

> What change causes this?  And how can I override it to get the old
> behavior?

I couldn't find anything relevant by looking for some keywords I could
think about.

Are you saying that something like the below

  (progn
    (message "One")
    (message "Two"))

when evaluated, displays

   One
   Two

in the echo area, instead of just "Two"?  Because it doesn't happen to
me with today's master branch: I see only "Two".  If the recipe to
reproduce what you see is something more complicated, can you please
post such a recipe?